Bug 1421081 - Review Request: perl-Code-TidyAll-Plugin-Test-Vars - Provides Test::Vars plugin for Code::TidyAll
Summary: Review Request: perl-Code-TidyAll-Plugin-Test-Vars - Provides Test::Vars plug...
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jitka Plesnikova
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-10 10:12 UTC by Ralf Corsepius
Modified: 2017-02-24 08:57 UTC (History)
2 users (show)

Fixed In Version: perl-Code-TidyAll-Plugin-Test-Vars-0.04-2.fc26
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-02-24 08:57:36 UTC
Type: ---
jplesnik: fedora-review+


Attachments (Terms of Use)

Description Ralf Corsepius 2017-02-10 10:12:51 UTC
Spec URL: https://corsepiu.fedorapeople.org/packages/perl-Code-TidyAll-Plugin-Test-Vars.spec
SRPM URL: https://corsepiu.fedorapeople.org/packages/perl-Code-TidyAll-Plugin-Test-Vars-0.04-1.fc26.src.rpm
Description: 
This module uses Test::Vars to detect unused variables in Perl modules.

Fedora Account System Username: corsepiu


Note: This package current is only buildable on f26, because this package (build-) requires perl(Code::TidyAll) >= 0.50. The versions of perl(Code::TidyAll) currently found in Fedora < 26 do not satisfy this constraint (Read: are too outdated).

Comment 1 Jitka Plesnikova 2017-02-13 16:51:18 UTC
Source file is ok
Summary is ok
License is ok
Description is ok
URL and Source0 are ok
All tests passed

$ rpm -qp --provides perl-Code-TidyAll-Plugin-Test-Vars-0.04-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(Code::TidyAll::Plugin::Test::Vars) = 0.04
      1 perl-Code-TidyAll-Plugin-Test-Vars = 0.04-1.fc26
Binary provides are Ok.

$ rpmlint ./perl-Code-TidyAll-Plugin-Test-Vars*
2 packages and 1 specfiles checked; 0 errors, 0 warnings.
Rpmlint is ok

$ rpm -qp --requires perl-Code-TidyAll-Plugin-Test-Vars-0.04-1.fc26.noarch.rpm | sort | uniq -c
      1 perl(:MODULE_COMPAT_5.24.1)
      1 perl(Code::TidyAll) >= 0.50
      1 perl(Moo)
      1 perl(PPI::Document)
      1 perl(Path::Tiny)
      1 perl(Test::Vars) >= 0.008
      1 perl(autodie)
      1 perl(strict)
      1 perl(warnings)
      1 rpmlib(CompressedFileNames) <= 3.0.4-1
      1 rpmlib(FileDigests) <= 4.6.0-1
      1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1
      1 rpmlib(PayloadIsXz) <= 5.2-1
FIX: Please add missing run-require perl(Code::TidyAll::Plugin)
      Code-TidyAll-Plugin-Test-Vars-0.04/lib/Code/TidyAll/Plugin/Test/Vars.pm:17

     Moo 'extends' keyword is not recognize by perl-generators (similar to BZ#742478)

BuildRequires:
FIX: Please remove duplicity 'perl(strict)' from build-requires.
FIX: Please add the version restriction for perl(ExtUtils::MakeMaker) to
     6.76 or higher, because NO_PACKLIST option was added in this version.


Please correct all 'FIX' issues before commit.

Otherwise the package is good.
Approved.

Comment 2 Gwyn Ciesla 2017-02-13 18:36:57 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/perl-Code-TidyAll-Plugin-Test-Vars


Note You need to log in before you can comment on or make changes to this bug.